<?php
include"class/mysql_crud.php";	
$db_finger=new Database();
$db_finger->connect();
$in = $_POST['in'];
$out = $_POST['out'];
$tgl = $_POST['tgl'];
$pin = $_POST['pin'];
$bulan = $_POST['bulan'];
$tahun = $_POST['tahun'];
$minmasuk = $_POST['minmasuk'];
$minkeluar = $_POST['minkeluar'];
$maxmasuk = $_POST['maxmasuk'];
$maxkeluar = $_POST['maxkeluar'];
$jumlahin=count($in);
//$db->insert('ruang',array('nama_ruang'=>$namaruang));
//$res = $db->getResult();  

for($x=0;$x<$jumlahin;$x++){




$cektanggal=$tahun."-".$bulan."-".$tgl[$x]." ".$in[$x];	
$db_finger->select('absensi_log','*',NULL,'pin="'.$pin.'"'.'and left(scan_date,16)="'.$cektanggal.'"','','');
$data_log_in=$db_finger->getResult();
$jm_log_in=$db_finger->numRows();	
	if($jm_log_in<=0){
$no=$x+1;
$detik=rand(10,59);
if(strlen($in[$x])==2){
	$menit_in=rand($minmasuk,$maxmasuk);
	$input_scan=$tahun."-".$bulan."-".$tgl[$x]." ".$in[$x].":".$menit_in.":".$detik;
}else{
	$input_scan=$tahun."-".$bulan."-".$tgl[$x]." ".$in[$x].":".$detik;	
}	
	
	$db_finger->insert('absensi_log',array('scan_date'=>$input_scan,'pin'=>$pin));
	//echo "$input_scan ";
}

$cektanggal_out=$tahun."-".$bulan."-".$tgl[$x]." ".$out[$x];	
$db_finger->select('absensi_log','*',NULL,'pin="'.$pin.'"'.'and left(scan_date,16)="'.$cektanggal_out.'"','','');
$data_log_out=$db_finger->getResult();
$jm_log_out=$db_finger->numRows();	
	if($jm_log_out<=0){
$detik_out=rand(10,59);

if(strlen($out[$x])==2){
	$menit_out=rand($minkeluar,$maxkeluar);
	$input_scan_out=$tahun."-".$bulan."-".$tgl[$x]." ".$out[$x].":".$menit_out.":".$detik_out;
}else{
$input_scan_out=$tahun."-".$bulan."-".$tgl[$x]." ".$out[$x].":".$detik_out;		
}	
	$db_finger->insert('absensi_log',array('scan_date'=>$input_scan_out,'pin'=>$pin));
	//echo "$input_scan_out";
}

}
header("Location:input_darurat.php");
?>
